/*
	Официальный плагин плеера Uppod (http://uppod.ru) для CKEditor 4+
	v. 2.0, 2013
	Описание - http://uppod.ru/help/q=ckeditor
*/

//------------------
// НАЧАЛО НАСТРОЕК
//------------------

// UPPOD_FOLDER - путь к папке с файлами плеера, например http://site.ru/player/

var UPPOD_FOLDER = 'http://...';

// UPPOD_SIZES - размеры плеера в режиме видео и аудио

var UPPOD_SIZES=new Array();   

UPPOD_SIZES['video']={'width':500,'height':375};

UPPOD_SIZES['audio']={'width':300,'height':90};

UPPOD_SIZES['photo']={'width':500,'height':375};

// UPPOD_STYLES - стили плеера, которые лежат в UPPOD_FOLDER, например [['Стили',''],['Видео','video.txt'],['Аудио','audio.txt']]

var UPPOD_STYLES=[['Стили',''],['Видео','video.txt'],['Аудио','audio.txt']];

// UPPOD_BGCOLOR - цвет фона плеера в коде (по-умолчанию белый)

var UPPOD_BGCOLOR='#ffffff';

//------------------
// КОНЕЦ НАСТРОЕК
//------------------
CKEDITOR.plugins.add('uppod', {
  init : function(editor) {
    var command = editor.addCommand('uppod', new CKEDITOR.dialogCommand('uppod',{extraAllowedContent: 'object param'}));
    command.modes = {wysiwyg:1, source:1};
    command.canUndo = true;

    editor.ui.addButton('Uppod', {
      label : 'Создать Uppod',
      command : 'uppod',
      icon: this.path + 'images/logo.png'
    });
    
    CKEDITOR.dialog.add('uppod', this.path + 'dialogs/uppod.js');
  }
});
